Skip to Content
veriom

Create support case

POST
/v1/workspaces/{workspace_id}/support/cases

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Header Parameters

Idempotency-Key*Idempotency-Key
Length8 <= length <= 255

Request Body

application/json
  1. body
category?Category
Default"product"
Value in"product""billing""security""access""incident"
contact_email?|null
description*Description
Length10 <= length <= 5000
subject*Subject
Length3 <= length <= 200

Response Body

Successful Response

application/json
  1. response
category*Category
created_at*Created At
Formatdate-time
description*Description
id*Id
Formatuuid
latest_response_at*|null
notes*array<>
priority*Priority
status*Status
subject*Subject
updated_at*Updated At
Formatdate-time
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/support/cases' \  -H 'Idempotency-Key: stringst' \  -H 'Content-Type: application/json' \  -d '{  "description": "stringstri",  "subject": "string"}'
Example Response
{  "category": "string",  "created_at": "2019-08-24T14:15:22Z",  "description": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "latest_response_at": "2019-08-24T14:15:22Z",  "notes": [    {}  ],  "priority": "string",  "status": "string",  "subject": "string",  "updated_at": "2019-08-24T14:15:22Z"}